import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import QwenLogoLight from './QwenLogoLight';
import QwenLogoDark from './QwenLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const QwenLogoSvg = forwardRef(function QwenLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(QwenLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(QwenLogoLight, Object.assign({}, props, { ref: ref }));
});
export default QwenLogoSvg;
